﻿$(function()
{
	var successMsg = "En breve uno de nuestros asesores te atenderá."; // Message shown on success.
	var failMsg = "Lo sentimos tenemos problemas para mandar su mensaje, intente mas tarde o llame al teléfono (243) 108 83 14"; // Message shown on fail.

	$("input,textarea").jqBootstrapValidation(
    {
     	preventSubmit: true,
     	submitSuccess: function($form, event)
	 	{
			event.preventDefault(); // prevent default submit behaviour

			var processorFile = "http://e-motioners.com/fel/sendEmail.php";
			var formData = {};

			$form.find("input, textarea").each(function(e) // Loop over form objects build data object
			{
				formData[$(this).attr('name')] = $(this).val();
			});
		    //$(".loader_form").show();
			$.ajax({
		        url: processorFile,
		    	type: "POST",
		    	data: formData,
		    	cache: false,
		    	success: function() // Success
		 		{

					$form.append("<div id='form-alert'><div class='alert alert-success'><button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button><strong>"+successMsg+"</strong></div></div>");
					$(".loader_form").fadeOut("slow");
		 	   	},
			   	error: function() // Fail
			   	{

					$form.append("<div id='form-alert'><div class='alert alert-danger'><button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button><strong>"+failMsg+"</strong></div></div>");
						$(".loader_form").fadeOut("slow");
			   	},
				complete: function() // Clear
				{
					$form.trigger("reset");
				},
		   	});
         },
         filter: function() // Handle hidden form elements
		 {
			 return $(this).is(":visible");
         },
	 });
});
